Bug 22263 - [KMS] i915 rendering hang after resume from hibernation
Summary: [KMS] i915 rendering hang after resume from hibernation
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/intel (show other bugs)
Version: 7.4 (2008.09)
Hardware: x86 (IA32) Linux (All)
: medium major
Assignee: ykzhao
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-12 14:13 UTC by Adam Lantos
Modified: 2009-07-10 14:39 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Photo of screen (31.10 KB, image/jpeg)
2009-06-12 14:13 UTC, Adam Lantos
no flags Details
Xorg server log (216.10 KB, application/octet-stream)
2009-06-12 14:15 UTC, Adam Lantos
no flags Details
GPU debug files, gpu_dump output and kernel log (207.48 KB, application/x-bzip-compressed-tar)
2009-06-12 14:16 UTC, Adam Lantos
no flags Details
restore the modeset for every activated crtc (1.11 KB, patch)
2009-07-02 00:27 UTC, ykzhao
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Lantos 2009-06-12 14:13:08 UTC
Created attachment 26740 [details]
Photo of screen

After resume from hibernation, rendering hung with artifacts, only mouse moves, had to poweroff machine via ACPI.

Video is an i915GM, Thinkpad X41Tablet.
Kernel version 2.6.30 plus commit 03d6069912babc07a3da20e715dd6a5dc8f0f867.
Driver version is 2.8-RC1 on xserver 1.6.2-RC1.
Comment 1 Adam Lantos 2009-06-12 14:15:46 UTC
Created attachment 26741 [details]
Xorg server log
Comment 2 Adam Lantos 2009-06-12 14:16:53 UTC
Created attachment 26742 [details]
GPU debug files, gpu_dump output and kernel log
Comment 3 Gordon Jin 2009-06-12 15:44:18 UTC
looks like bug#22039
Comment 4 Adam Lantos 2009-06-13 13:20:15 UTC
Suspend to ram works for me, only hibernation don't. Also I had full screen corruption (maybe some tiling/A17 issue?). Reporter on 22039 had only glyph corruptions.
Comment 5 ykzhao 2009-06-29 00:44:39 UTC
(In reply to comment #4)
> Suspend to ram works for me, only hibernation don't. Also I had full screen
> corruption (maybe some tiling/A17 issue?). Reporter on 22039 had only glyph
> corruptions.
Can you do the hibernation test under the console mode and see whether the issue still exists? 
   a. boot the system under the console mode(Don't start X)
   b. do the hibernation/resume
   c. start X and see whether the i915 rendering can work
   
   Thanks.
Comment 6 ykzhao 2009-07-02 00:27:18 UTC
Created attachment 27317 [details] [review]
restore the modeset for every activated crtc
Comment 7 ykzhao 2009-07-02 00:28:54 UTC
Hi, Adam
   Will you please try the attached patch on the latest linus git tree and see whether the issue still exists after hibernation?
   
Thanks.
Comment 8 Adam Lantos 2009-07-06 08:57:06 UTC
I tried linux-2.6-stable with your patch applied, resume works correctly now, thanks.
Comment 9 Eric Anholt 2009-07-10 14:39:50 UTC
queued:

commit 354ff96772540d2e836194bf14dd9c05c274055c
Author: Zhao Yakui <yakui.zhao@intel.com>
Date:   Wed Jul 8 14:13:12 2009 +0800

    drm/i915: Restore the KMS modeset for every activated CRTC


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.